<html xmlns:th="http://www.thymeleaf.org">
<th:block th:fragment="messages">

    <!-- Error message -->
    <!-- The String errorMessage should be used as "key.to.message.properties" -->
    <div th:if="${errorMessage}" id="error-message-box" class="alert alert-error">
        [[#{${errorMessage}}]]
        <button class="closeAlert">×</button>
    </div>

    <!-- Error string -->
    <!-- The String errorString should be used as "Direct error message" -->
    <div th:if="${errorString}" id="error-string-box" class="alert alert-error">
        [[${errorString}]]
        <button class="closeAlert">×</button>
    </div>


    <!-- Success message -->
    <!-- The String successMessage should be used as "key.to.message.properties" -->
    <div th:if="${successMessage}" id="success-message-box" class="alert alert-success">
        [[#{${successMessage}}]]
        <button class="closeAlert">×</button>
    </div>

</th:block>
</html>